//
//  SendKeys.h
//  
//
//  Created by Frank Brennecke on 30.04.13.
//
//

#ifndef _SendKeys_h
#define _SendKeys_h


// Key character defines
#define SENDKEY_NULL                	0
#define SENDKEY_REQUIRES_CALIBRATION 	255

// Key characters for Keyboard Buttons
#define SENDKEY_OK	               230
#define SENDKEY_LEFT               231
#define SENDKEY_RIGHT              232

#define SENDKEY_FIELDS             241      // Touchscreen liefert Felder 1-48	
#define SENDKEY_COORDINATES        242      // Touchscreen liefert Koordinaten
#define SENDKEY_SILENT             240      // Touchscreen sendet keine Infos
#define SENDKEY_CALIBRATION        243      // Touchscreen liefert Kalibrierungs-Infos (192)

#define SENDKEY_CONFIG_2			220		// Konfiguration STufe 2 starten
#define SENDKEY_CONFIG_3			221		// Konfiguration STufe 3 starten
#define SENDKEY_CONFIG_4			222		// Konfiguration STufe 4 starten
#define SENDKEY_CONFIG_COMPLETE		224		// Konfiguration beendet
#define SENDKEY_RESTART_CONFIG_X	225		// Konfiguration neu starten, Fehler aufgetreten, x im falschen feld
#define SENDKEY_RESTART_CONFIG_Y	226		// Konfiguration neu starten, Fehler aufgetreten, y im falschen Feld
#define SENDKEY_RESTART_CONFIG_POSITION		227		// Konfiguration neu starten, Abweichung zu groß
		

#define SENDKEY_TOUCH_START             1       // sends 1..48 for Touch down
#define SENDKEY_TOUCH_END               49      // sends 49..96 for Touch up
#define SENDKEY_STARTUP                 100     // gesendet beim Start des Controllers
#define SENDKEY_ERROR                   101     // Overflow bei Koordinaten
#define SENDKEY_SLEEP                   102     // Nichts zu tun

// Anzahl Felder in x- und y-Richtung - nicht ändern, korrespondieren mit Anzahl der Key Characters
#define X_FIELDS                        7       // definierte Felder in x-Richtung (X_FIELDS+1)
#define Y_FIELDS                        5       // definierte Felder in y-Richtung (Y_FIELDS+1)

#define X_COORDINATES					255		// Koordinaten des Bildschirms in x-Richtung (0..X_COORDINATES)
#define Y_COORDINATES					251		// Koordinaten des Bildschirms in y-Richtung (0..Y_COORDINATES)

// mögliche Betriebsmodi 
#define MODE_FIELDS                     0x80    // Touchscreen liefert Felder 1-48	(64)
#define MODE_COORDINATES                0x40    // Touchscreen liefert fertige Menu-Infos (128)
#define MODE_SILENT                     0x00    // Touchscreen liefert fertige Menu-Infos (0)
#define MODE_CALIBRATION                0xC0    // Touchscreen liefert Kalibrierungs-Infos (192)
#define MODE_BITMASK					0xC0	// Bitmaske				

#define MODE_PORT1                      PD6     // Eingang für Umschaltung Menü/Feldfunktion
#define MODE_PORT2                      PD7     // Eingang für Umschaltung Menü/Feldfunktion


#define TOUCHSCREEN_RESOLUTION          1024   


#endif
